%define	name	eject
%define	version	2.1.5
%define	release	2

Name:		%{name}
Summary:	A program that ejects removable media using software control
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Url:		http://ca.geocities.com/jefftranter%40rogers.com/eject.html
Group:		System/Kernel and hardware
Source0:	http://ca.geocities.com/jefftranter%40rogers.com/%{name}-%{version}.tar.gz
Patch0: eject-2.1.4-supermount.patch.bz2
Patch1: eject-2.1.4-scsi-rdwr.patch
BuildRequires:	gettext
BuildRequires:	automake1.9
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The eject program allows the user to eject removable media
(typically CD-ROMs, floppy disks or Iomega Jaz or Zip disks)
using software control. Eject can also control some multi-
disk CD changers and even some devices' auto-eject features.

Install eject if you'd like to eject removable media using
software control.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .supermount
%patch1 -p1 -b .scsi

%build
%configure
%make DEFAULTDEVICE="/dev/cdrom"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog
%{_bindir}/eject
%{_bindir}/volname
%{_mandir}/man1/eject.1*
%{_mandir}/man1/volname.1*

%changelog
* Wed Aug 30 2006 Helio Chissini de Castro <helio@mandriva.com> 2.1.5-2mdv2007.0
Added gentoo patch for fix the infamous "Safely remove" KDE bug, which indeed
wasn't KDE bug. 
Fix http://qa.mandriva.com/show_bug.cgi?id=23278

* Fri Jul 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.5-1mdv2007.0
- 2.1.5

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.4-1mdk
- 2.1.4
- update P0

* Mon Oct 17 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.3-2mdk
- add BuildRequires: automake1.9

* Fri Oct 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.3-1mdk
- 2.1.3
- regenerate supermount patch (P0)
- drop old patches (P1-P6)
- %%mkrel

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.13-6mdk
- sync with fedora
- cosmetics
- fix summary-ended-with-dot

* Wed Sep  1 2004 Warly <warly@mandrakesoft.com> 2.0.13-5mdk
- rebuild

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.13-4mdk
- adjust macro during since we dropped the prefix tag

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.13-3mdk
- rebuild
- drop prefix tag

* Tue Jan  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.13-2mdk
- Fix locales installation.

* Fri Dec 27 2002 Warly <warly@mandrakesoft.com> 2.0.13-1mdk
- new version

* Mon Jun  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.12-5mdk
- BuildRequires

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.12-4mdk
- Automated rebuild in gcc3.1 environment

* Mon Jan 28 2002 François Pons <fpons@mandrakesoft.com> 2.0.12-3mdk
- supermount patches from Andrej Borsenkow.

* Fri Jan 18 2002 Warly <warly@mandrakesoft.com> 2.0.12-2mdk
- rpmlint fixes

* Mon Oct 29 2001 Warly <warly@mandrakesoft.com> 2.0.12-1mdk
- new version

* Mon Sep 17 2001 Warly <warly@mandrakesoft.com> 2.0.10-2mdk
- added new fr_FR contributed by Christophe Combelles <combech@gemse.fr>

* Wed Jul 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.10-1mdk
- New and shiny source which supports localizd strings (kewl).
- s/Copyright/License/, finally.

* Mon Jul 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.7-2mdk
- Include the manual page for volname.

* Wed May 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.7-1mdk
- Version 2.0.7 out for general consumption.

* Mon May 14 2001  Daouda Lo<daouda@mandrakesoft.com> 2.0.6-2mdk
- Resync rpm/srpm (happy nono? ) 

* Fri May 11 2001 Geoffrey Lee <snaitalk@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6.
- Run ./configure.

* Sat May 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.5-2mdk
- Include volname binary.

* Thu May 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.5-1mdk
- new release

* Tue May 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.4-1mdk
- new version

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.3-1mdk
- A new and shiny source for folks on Anzac Day, and general cleanups.

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-8mdk
- BM
- specfile cleanup
- macrozashions

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0.2-7mdk
- fix group

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build Release.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- solved a lot of problems by finding eject 2.0.2. :)

* Tue Feb 09 1999 Preston Brown <pbrown@redhat.com>
- patch to improve symlink handling folded into linux-2.2 patch

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jul 15 1998 Donnie Barnes <djb@redhat.com>
- added small patch to 1.5 for longer device names

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 1.5
- various spec file clean ups
- eject rocks!

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
